Skip to main content
GET
/
tax-registrations
/
{id}
Get a Tax Registration by ID
curl --request GET \
  --url https://eu.sequencehq.com/api/tax-registrations/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://eu.sequencehq.com/api/tax-registrations/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://eu.sequencehq.com/api/tax-registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3271ca41-d538-404f-a15f-25856a37fb88",
  "sequenceAccountId": "a2e7ec72-e3b1-4349-8d8b-c1ad3cea03a1",
  "taxIdentifier": "GB123456789",
  "customerId": "06457f78-85cd-4140-9972-67c6cd8f6071",
  "merchantId": "06457f78-85cd-4140-9972-67c6cd8f6071",
  "country": "GB",
  "state": "CA"
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Tax registration ID

Response

OK

id
string
required

Tax registration ID

Example:

"3271ca41-d538-404f-a15f-25856a37fb88"

sequenceAccountId
string
required

Sequence account ID

Example:

"a2e7ec72-e3b1-4349-8d8b-c1ad3cea03a1"

taxIdentifier
string
required

The unique identifier for this tax registration

Example:

"GB123456789"

country
enum<string>
required

Country code (ISO 3166-1 alpha-2)

Available options:
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AO,
AQ,
AR,
AS,
AT,
AU,
AW,
AX,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BQ,
BR,
BS,
BT,
BV,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CR,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DJ,
DK,
DM,
DO,
DZ,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
FI,
FJ,
FK,
FM,
FO,
FR,
GA,
GB,
GD,
GE,
GF,
GG,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HM,
HN,
HR,
HT,
HU,
ID,
IE,
IL,
IM,
IN,
IO,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SV,
SX,
SY,
SZ,
TC,
TD,
TF,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
XK,
YE,
YT,
ZA,
ZM,
ZW
Example:

"GB"

customerId
string

The customer that this tax registration belongs to

Example:

"06457f78-85cd-4140-9972-67c6cd8f6071"

merchantId
string

The merchant that this tax registration belongs to

Example:

"06457f78-85cd-4140-9972-67c6cd8f6071"

state
enum<string>

The registration state

Available options:
AL,
AK,
AZ,
AR,
CA,
CO,
CT,
DC,
DE,
FL,
GA,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
OH,
OK,
OR,
PA,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VA,
WA,
WV,
WI,
WY,
AB,
BC,
MB,
NB,
NL,
NS,
NT,
NU,
ON,
PE,
QC,
SK,
YT
Example:

"CA"